Rysunek roboczy do szkicu

From FreeCAD Documentation
This page is a translated version of the page Draft Draft2Sketch and the translation is 100% complete.

Rysunek Roboczy: Rysunek roboczy do szkicu

Lokalizacja w menu
Modyfikacja → Rysunek roboczy do szkicu
Środowisko pracy
Rysunek Roboczy, BIM
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
brak

Opis

Narzędzie Rysunek roboczy do szkicu konwertuje obiekty środowiska pracy Rysunek Roboczy na obiekty środowiska Szkicownik i odwrotnie.

Konwertowanie obiektów środowiska Rysunek Roboczy na szkice Szkicownika.

Użycie

  1. Opcjonalnie wybierz jeden lub więcej obiektów Rysunku Roboczego lub szkic środowiska Szkicownik.
  2. Polecenie można wywołać na kilka sposobów:
    • Naciśnij przycisk Rysunek roboczy do szkicu.
    • Wybierz z menu opcję Modyfikacja → Rysunek roboczy do szkicu.
  3. Jeśli nie wybrałeś jeszcze żadnego obiektu: wybierz obiekt w oknie widoku 3D.
  4. Zostanie utworzony nowy obiekt.

Uwagi

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy pisania skryptów dla FreeCAD.

Aby przekonwertować obiekty na szkic, użyj metody make_sketch (dostępne w wersji 0.19) modułu Rysunek Roboczy. Metoda ta zastępuje przestarzałą metodę makeSketch.

sketch = make_sketch(objects_list, autoconstraints=False, addTo=None, delete=False, name="Sketch", radiusPrecision=-1, tol=1e-3)
  • lista_obiektów zawiera obiekty do konwersji. Jest to pojedynczy obiekt lub lista obiektów. Obsługiwane są obiekty Draft, Part::Feature i Part.Shape.
  • Jeśli więzyautomatyczne ma wartość Prawda, wiązania zbieżności są dodawane do węzłów należących do tego samego obiektu źródłowego.
  • dodajDo jest istniejącym obiektem szkicu, do którego dodawana jest geometria. Jeśli nie zostanie podany, tworzony jest nowy szkic.
  • Jeśli usuń ma wartość Prawda, obiekty źródłowe są usuwane.
  • nazwa jest nazwą nowego szkicu.
  • precyzjaPromienia wskazuje, jak powinny być obsługiwane wiązania promienia:
    • Użyj -1, aby wyłączyć wiązania promienia.
    • Użyj 0, aby dodać indywidualne wiązania promienia.
    • Użyj liczby dodatniej, aby zaokrąglić promienie zgodnie z tą precyzją i dodać wiązania równości między krzywymi o równych promieniach.
  • tol jest tolerancją używaną do sprawdzania, czy kształty są płaskie i współpłaszczyznowe. Użyj -1 dla ścisłej analizy.
  • szkic jest zwracany wraz z obiektem szkicu.

Aby przekonwertować szkic na obiekty środowiska Rysunek Roboczy, użyj metody draftify modułu Rysunek Roboczy.

draftify(objectslist, makeblock=False, delete=True)
  • listaobiektów zawiera obiekty do konwersji. Jest to pojedynczy obiekt lub lista obiektów.
  • Jeśli makeblock ma wartość Prawda, konwertowane obiekty są grupowane w Part::Part2DObject.
  • Jeśli usuń ma wartość Prawda, obiekty źródłowe są usuwane.

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(2000, 1000)
circle = Draft.make_circle(500)
doc.recompute()

sketch_from_draft = Draft.make_sketch([rectangle, circle], autoconstraints=True, delete=False, radiusPrecision=0)
doc.recompute()

draft_from_sketch = Draft.draftify(sketch_from_draft, delete=False)
doc.recompute()